From c446802b22464e6fc6b594c2fe17504f50c70137 Mon Sep 17 00:00:00 2001
From: Tom Lane <tgl@sss.pgh.pa.us>
Date: Sat, 25 Mar 2000 18:46:17 +0000
Subject: [PATCH] Fix syntax error reported by old shells ("if ! command..." is
 a neologism, apparently).

---
 src/bin/initdb/initdb.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/src/bin/initdb/initdb.sh b/src/bin/initdb/initdb.sh
index 57db7803164..e0db622f7ef 100644
--- a/src/bin/initdb/initdb.sh
+++ b/src/bin/initdb/initdb.sh
@@ -26,7 +26,7 @@
 #
 #
 # IDENTIFICATION
-#    $Header: /cvsroot/pgsql/src/bin/initdb/Attic/initdb.sh,v 1.87 2000/03/25 14:32:50 momjian Exp $
+#    $Header: /cvsroot/pgsql/src/bin/initdb/Attic/initdb.sh,v 1.88 2000/03/25 18:46:17 tgl Exp $
 #
 #-------------------------------------------------------------------------
 
@@ -282,7 +282,8 @@ fi
 # The data path must be absolute, because the backend doesn't like
 # '.' and '..' stuff. (Should perhaps be fixed there.)
 
-if ! echo "$PGDATA" | grep '^/' > /dev/null 2>&1
+echo "$PGDATA" | grep '^/' > /dev/null 2>&1
+if [ "$?" -ne 0 ]
 then
     echo "$CMDNAME: data path must be specified as an absolute path"
     exit 1
-- 
GitLab